---
title: "CSL — Clio"
subtitle: "Guide d'utilisation et de création de styles CSL supportant un formatage complexe des sources primaires"
author: Bastien Dumont
lang: fr-FR
---

# Introduction

## Brève présentation de CSL

<!-- Qu'est-ce que CSL -->

<!-- Avantages -->

<!-- Chaîne gestionnaire bibliographique – style – processeur ; différents gestionnaires et processeurs -->

<!-- évolutions en cours, on s'en tient à la v. 1.0.1 -->

## Limites actuelles de CSL pour les publications en Histoire

<!-- Gestion des sources primaires : S'appuyer sur l'exposé dans https://github.com/citation-style-language/schema/issues/388 -->

<!-- Évolutions en cours de CSL :
— Documentation : 
    – liste des changements pour CSL 1.0.2 : https://docs.google.com/document/d/1wY1cOOamDYYh8VNW7h_uleqieBDGOa_LYsRiVdQy1RI/edit# 
    – spécifications de CSL 1.0.2 : https://github.com/citation-style-language/documentation/blob/master/specification.rst#standard-variables
— ajout d'un type "classics", mais très différent de ce que l'on attend si correspond à l'extension proposée par CSL-M (https://citeproc-js.readthedocs.io/en/latest/csl-m/#classic-extension)
-->

<!-- Localisateurs complexes (plutôt pour les processeurs) (voir ici : https://github.com/citation-style-language/schema/issues/342) -->

<!-- Abréviation des titres de revues et de collections -->

<!-- Manque de solutions claires pour l'encodage de certains éléments (p. ex. répertoires ; collaborateurs ; localisation seulement par page, volume ou partie dans la bibliographie) ou types (actes de colloque, blog, site Web) -->

## Objectifs de CSL — Clio

### Créer un ensemble de styles cohérent et interopérables

### Fournir des stratégies d'encodage claires

### Poser des principes pour l'encodage des sources primaires

### Coupler CSL avec des outils de post-traitement

<!-- À terme, mon souhait est que le langage CSL soit étendu de sorte que ces styles ne reposent plus sur des détournements et puissent être intégrés au dépôt officiel. -->


# Gérer ses données bibliographiques avec Zotero et CSL — Clio


# Utiliser les styles CSL — Clio


# Programmer de nouveaux styles CSL — Clio
